Jump to content



* * * * * 2 votes

Download Official iOS Firmware

firmware

52 replies to this topic

#21 iNooblet

    Trippy Mane 🔥

  • Members
  • 2,428 posts
  • iPhone:iPhone 4, iPhone 3G
  • iPod touch:iPod touch 4G

Posted 03 February 2012 - 11:21 PM

where is 3gs 5.0.1??
____________________
www.youtube.com/bobjerrycurl

#22 MEDS

    Inuyasha Fanatic

  • Members
  • 14,166 posts
  • iPhone:iPhone 4
  • iPod touch:iPod touch 2G
  • iPod:iPod nano

Posted 04 February 2012 - 03:04 PM

View PostiNooblet, on 03 February 2012 - 11:21 PM, said:

where is 3gs 5.0.1??
It ran away... Give me a second I think it's hiding in my closet.

#23 2GGirl

  • Members
  • 26 posts
  • iPod touch:iPod touch 2G
  • iPad:iPad
  • Mac:MacBook
  • iPod:iPod nano

Posted 08 February 2012 - 04:51 PM

This may be a stupid question, but since the 7E18 file for the 2G iPod Touch is so hard to find, would it possibly work to use the 7E18 for the 3G/one of the iPhone models instead?

#24 brutal truth

    Member

  • Moderators
  • 8,695 posts
  • iPhone:iPhone 4
  • iPod touch:iPod touch 1G
  • iPad:iPad
  • iPod:iPod classic
  • Apple TV:Apple TV 2G

Posted 08 February 2012 - 04:57 PM

View Post2GGirl, on 08 February 2012 - 04:51 PM, said:

This may be a stupid question, but since the 7E18 file for the 2G iPod Touch is so hard to find, would it possibly work to use the 7E18 for the 3G/one of the iPhone models instead?

No that's not possible.

I wonder why it's hard to find? I don't want to point you to another site but it's available out there.

#25 MEDS

    Inuyasha Fanatic

  • Members
  • 14,166 posts
  • iPhone:iPhone 4
  • iPod touch:iPod touch 2G
  • iPod:iPod nano

Posted 10 February 2012 - 12:40 PM

Heres a link to <broken link sorry guys. A real link has been added to the original post>

#26 brutal truth

    Member

  • Moderators
  • 8,695 posts
  • iPhone:iPhone 4
  • iPod touch:iPod touch 1G
  • iPad:iPad
  • iPod:iPod classic
  • Apple TV:Apple TV 2G

Posted 10 February 2012 - 06:45 PM

Why can't it be included like your others? It's on the felix site...

#27 MEDS

    Inuyasha Fanatic

  • Members
  • 14,166 posts
  • iPhone:iPhone 4
  • iPod touch:iPod touch 2G
  • iPod:iPod nano

Posted 11 February 2012 - 06:27 AM

I dunno. It's added now though.

#28 2GGirl

  • Members
  • 26 posts
  • iPod touch:iPod touch 2G
  • iPad:iPad
  • Mac:MacBook
  • iPod:iPod nano

Posted 14 February 2012 - 10:23 PM

Sorry for the lag. Thank you Brutal Truth for suggesting that I look further. When I first posted, I had come across it on file hosting sites but I did not want to trust those though. And with a few other sites I saw it on, I wasn't sure of trustworthiness so I didn't go ahead and use those.

MEDS - thanks sooooo much for the file. I REALLY appreciate that. The link on this page didn't work for me, but the link you provided with the others did. I'll now try to get that installed :D.

#29 MEDS

    Inuyasha Fanatic

  • Members
  • 14,166 posts
  • iPhone:iPhone 4
  • iPod touch:iPod touch 2G
  • iPod:iPod nano

Posted 14 February 2012 - 11:38 PM

Glad to be of service :)

#30 MEDS

    Inuyasha Fanatic

  • Members
  • 14,166 posts
  • iPhone:iPhone 4
  • iPod touch:iPod touch 2G
  • iPod:iPod nano

Posted 15 February 2012 - 12:09 AM

Topic has been updated to look better on mobile version

#31 brutal truth

    Member

  • Moderators
  • 8,695 posts
  • iPhone:iPhone 4
  • iPod touch:iPod touch 1G
  • iPad:iPad
  • iPod:iPod classic
  • Apple TV:Apple TV 2G

Posted 15 February 2012 - 01:07 PM

View Post2GGirl, on 14 February 2012 - 10:23 PM, said:

Sorry for the lag. Thank you Brutal Truth for suggesting that I look further. When I first posted, I had come across it on file hosting sites but I did not want to trust those though. And with a few other sites I saw it on, I wasn't sure of trustworthiness so I didn't go ahead and use those.

MEDS - thanks sooooo much for the file. I REALLY appreciate that. The link on this page didn't work for me, but the link you provided with the others did. I'll now try to get that installed :D.
Great! Glad we could help!

View PostMEDS, on 15 February 2012 - 12:09 AM, said:

Topic has been updated to look better on mobile version
Thanks!

#32 2GGirl

  • Members
  • 26 posts
  • iPod touch:iPod touch 2G
  • iPad:iPad
  • Mac:MacBook
  • iPod:iPod nano

Posted 15 February 2012 - 03:48 PM

Hi guys - me again :). Sorry to be a bother with all of these questions, but it just hit me that I should probably ask this too. Should I be concerned about any procedural things if I'm upgrading?

I know that most people would probably be DOWNgrading to 3.1.3, but I'm actually UPgrading to it on my 2G iPod Touch. I had a software issue on my old one and Apple gave me the option of the same model at a discount or the latest one at an even deeper discount. I actually like how solid the models that don't have cameras are, so I chose to stick with the 2G. Anyway, when they replaced it, it was to factory settings (so running 2.1.2). I know from my old one that I hate iOS4 on a 2G, so that's why I never upgraded the new one to it.

I have found out what the instructions are for downgrading to iOS3 (put my iPod into DFU mode, select my iPod in iTunes and hold Shift then click Restore and after that I should be able to navigate to the 3.1.3 firmware file). But now I am wondering if I should be taking that same route or if a different method would be a better option since it's an upgrade? I'll be using iTunes 10.5.3 (3) on a Mac for this.

#33 brutal truth

    Member

  • Moderators
  • 8,695 posts
  • iPhone:iPhone 4
  • iPod touch:iPod touch 1G
  • iPad:iPad
  • iPod:iPod classic
  • Apple TV:Apple TV 2G

Posted 15 February 2012 - 07:57 PM

View Post2GGirl, on 15 February 2012 - 03:48 PM, said:

Hi guys - me again :). Sorry to be a bother with all of these questions, but it just hit me that I should probably ask this too. Should I be concerned about any procedural things if I'm upgrading?

I know that most people would probably be DOWNgrading to 3.1.3, but I'm actually UPgrading to it on my 2G iPod Touch. I had a software issue on my old one and Apple gave me the option of the same model at a discount or the latest one at an even deeper discount. I actually like how solid the models that don't have cameras are, so I chose to stick with the 2G. Anyway, when they replaced it, it was to factory settings (so running 2.1.2). I know from my old one that I hate iOS4 on a 2G, so that's why I never upgraded the new one to it.

I have found out what the instructions are for downgrading to iOS3 (put my iPod into DFU mode, select my iPod in iTunes and hold Shift then click Restore and after that I should be able to navigate to the 3.1.3 firmware file). But now I am wondering if I should be taking that same route or if a different method would be a better option since it's an upgrade? I'll be using iTunes 10.5.3 (3) on a Mac for this.

You can still do shift restore and that is recommended if you were previously jailbroken.

#34 brutal truth

    Member

  • Moderators
  • 8,695 posts
  • iPhone:iPhone 4
  • iPod touch:iPod touch 1G
  • iPad:iPad
  • iPod:iPod classic
  • Apple TV:Apple TV 2G

Posted 15 February 2012 - 07:58 PM

Also Meds can you add 5.0.1 for iPhone 4 CDMA. Thanks!

#35 2GGirl

  • Members
  • 26 posts
  • iPod touch:iPod touch 2G
  • iPad:iPad
  • Mac:MacBook
  • iPod:iPod nano

Posted 15 February 2012 - 08:11 PM

View Postbrutal truth, on 15 February 2012 - 07:57 PM, said:

You can still do shift restore and that is recommended if you were previously jailbroken.

Thanks for that BT :). I was never Jailbroken and I think I'll probably not go that route either. This 2G is an old model, but a brand new device straight from Apple, so I should be good to go in doing this upgrade then, it seems.

#36 2GGirl

  • Members
  • 26 posts
  • iPod touch:iPod touch 2G
  • iPad:iPad
  • Mac:MacBook
  • iPod:iPod nano

Posted 15 February 2012 - 10:53 PM

So I went ahead did a Shift Restore (actually, an Option + Restore, since I'm on a Mac). Now I'm getting an error message saying that my iPod "could not be restored because the firmware file is not compatible". Should I have set something up prior or registered it first or something?

#37 MEDS

    Inuyasha Fanatic

  • Members
  • 14,166 posts
  • iPhone:iPhone 4
  • iPod touch:iPod touch 2G
  • iPod:iPod nano

Posted 15 February 2012 - 11:17 PM

It's probably because apple doesnt sign 3.1.3 anymore. The easiest way is to just put 4.2.1 on your iPod. Apple signs that firmware and more cydia tweaks will be compatible with your iPod.

#38 brutal truth

    Member

  • Moderators
  • 8,695 posts
  • iPhone:iPhone 4
  • iPod touch:iPod touch 1G
  • iPad:iPad
  • iPod:iPod classic
  • Apple TV:Apple TV 2G

Posted 16 February 2012 - 12:09 AM

What's the error number? Are you sure you are using the right firmware? What does it say in iTunes is the firmware you can upgrade to?

#39 2GGirl

  • Members
  • 26 posts
  • iPod touch:iPod touch 2G
  • iPad:iPad
  • Mac:MacBook
  • iPod:iPod nano

Posted 16 February 2012 - 03:21 PM

@MEDS

Thanks for the advice. I'm trying to avoid jailbreaking though... I'm also trying to avoid accidentally getting myself into a situation where I'm stuck with iOS4 on there again.


@BT

• I'm doing this on my work computer, so it could be that this is not the iTunes Library that it's normally synced to that's playing a role in this error, but I can't see how. I forgot to try it again at home last night though.

• The steps I'm taking are:

1) I plug it into iTunes
2) I make sure that my iPod is highlighted on the sidebar
3) I hit Option + Restore
4) I navigate to the 2G 7E18 file that I placed on the desktop for convenience.

That's when the error message comes up. There's no number stated on it, but I took a screenshot: http://postimage.org/image/spuqq3lwf

• I THINK I'm using the right firmware - it's the file that MEDS uploaded in the OP (iPod2,1_3.1.3_7E18_Restore.ipsw).

• iTunes wants me to go up to 4.2, which is the highest that a 2G can go up to (I think).

#40 brutal truth

    Member

  • Moderators
  • 8,695 posts
  • iPhone:iPhone 4
  • iPod touch:iPod touch 1G
  • iPad:iPad
  • iPod:iPod classic
  • Apple TV:Apple TV 2G

Posted 16 February 2012 - 06:31 PM

View Post2GGirl, on 16 February 2012 - 03:21 PM, said:

@MEDS

Thanks for the advice. I'm trying to avoid jailbreaking though... I'm also trying to avoid accidentally getting myself into a situation where I'm stuck with iOS4 on there again.


@BT

• I'm doing this on my work computer, so it could be that this is not the iTunes Library that it's normally synced to that's playing a role in this error, but I can't see how. I forgot to try it again at home last night though.

• The steps I'm taking are:

1) I plug it into iTunes
2) I make sure that my iPod is highlighted on the sidebar
3) I hit Option + Restore
4) I navigate to the 2G 7E18 file that I placed on the desktop for convenience.

That's when the error message comes up. There's no number stated on it, but I took a screenshot: http://postimage.org/image/spuqq3lwf

• I THINK I'm using the right firmware - it's the file that MEDS uploaded in the OP (iPod2,1_3.1.3_7E18_Restore.ipsw).

• iTunes wants me to go up to 4.2, which is the highest that a 2G can go up to (I think).

Meds is right on this, you can't do it because you don't have the SHSH blobs for 3.1.3. If you had an older model 2G it might let you do it without blobs but it sounds like you can either stay where you are or go to 4.2.1. Sorry!